com.jscape.inet.http

## Class HttpException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.jscape.inet.http.HttpException

- All Implemented Interfaces:
    java.io.Serializable

      public class HttpException
      extends java.lang.Exception

  HttpException is thrown by many methods of Http class. The methods are masking various exception types into HttpException, but the event message will be propagated.

  In case that the cause for throwing HttpException is not exception but invalid client operation or server response, HttpException message will contain textual part of server response.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpException(java.lang.String message)` Creates exception with specified message string.
    `HttpException(java.lang.String message, java.lang.Throwable cause)` Creates exception with specified message string and source exception
    `HttpException(java.lang.Throwable cause)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HttpException` | `wrap(java.lang.Exception e)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpException

          public HttpException(java.lang.String message)

      Creates exception with specified message string.
      Parameters:
        `message` - the message of exception

    - #### HttpException

          public HttpException(java.lang.String message,
                               java.lang.Throwable cause)

      Creates exception with specified message string and source exception
      Parameters:
        `message` - the message of exception
        `cause` - the exception which caused this exception

    - #### HttpException

          public HttpException(java.lang.Throwable cause)

  - ### Method Detail

    - #### wrap

          public static HttpException wrap(java.lang.Exception e)

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved